rails-postgresql- все статьи тега


Не могу найти ' libpq-fe.H заголовок при попытке установить pg gem

Я использую Ruby on Rails 3.1 pre version. Мне нравится использовать PostgreSQL, но проблема заключается в установке pg камень. Это дает мне следующую ошибку: $ gem install pg Building native extensions. This could take a while... ERROR: Error installing pg: ERROR: Failed to build gem native extension. /home/u/.rvm/rubies/ruby-1.9.2-p0/bin/ruby extconf.rb checking for pg_config... no No pg_config... trying anyway. If building fails, please try again with --with-pg-config=/path/t ...

PostgreSQL adapter (pg): не удалось подключиться к серверу

Я получаю эту ошибку каждый раз, когда я запускаю приложение Rails (It не удается подключиться к моему локальному Postgresql) /Users/leonardo/.rvm/gems/ruby-1.9.3-p362/gems/activerecord-3.2.11/lib/ active_record/connection_adapters/postgresql_adapter.rb:1208:in `initialize': could not connect to server: No such file or directory (PG::Error) Is the server running locally and accepting connections on Unix domain socket "/var/pgsql_socket/.s.PGSQL.5432"? Я использую Postgres.приложение что ...